«Несовместим с другими приложениями, использующими один и тот же общий идентификатор пользователя» при установке сервиса Google Play?

Мне нужно запустить Google Plus, а Google Plus требуется служба Google Play.

Каждый раз, когда я устанавливаю google play service из магазина Google Play, он не может установить эту ошибку:

  

Несовместим с другими приложениями, использующими один и тот же общий идентификатор пользователя

В чем может быть проблема? Как я могу это исправить?

ОБНОВЛЕНИЕ . Я почти ничего не знаю об андроиде, поэтому я не знаю, что такое ROM, или что-то подобное, я получаю свой телефон от местного производства, и я думаю, да, он использует пользовательские system, поэтому я просто знаю, что использую версию Android 4.0.4. любая помощь будет принята с благодарностью.

8 голосов | спросил Charlie 1 AM000000110000002331 2013, 11:46:23

5 ответов


6

Что такое получить мой телефон из местного производства ?

Поскольку вы упомянули о custom system , вы имеете в виду модифицированный ROM, такой как Cyanogenmod, Paranoid Android и т. д. ?

У вас есть собственное восстановление? Если да, возьмите последние Google Apps из здесь для Android 4.0.4, а также ICS, более чем вероятно, эту версию gapps .

Перезагрузитесь в Recovery, выберите:

  • Wipe Cache
  • Установить из zip, выбрать загруженные вами gapp
  • Затем, когда установка завершена, перезагрузитесь.
ответил t0mm13b 3 PM000000100000003631 2013, 22:52:36
2

Сервисы Google Play используется для обновления приложений и приложений Google в Google Play. Этот компонент дает вам доступ к настройкам Google и помогает приложениям ускорять автономный поиск, предоставлять более погруженные карты и улучшать производительность.

Если вы считаете, что есть ошибка в вашей ОС, вы можете всегда идти для заводского сброса . Перед тем, как продолжить, вы должны сделать резервную копию своих данных. Это должно переустановить службу Google Play. И если вы NOT попросили установить Службы Google Play, вам не обязательно. Он поставляется вместе с вашей ОС. Вы должны просто иметь возможность загрузите Google+ и используйте его на своем телефоне.

Информацию о вашем устройстве можно найти в Settings => About Phone

ответил Sid 3 PM00000080000005431 2013, 20:22:54
2

Что сработало для меня было предложение, которое я нашел здесь:

  

http://forum.xda-developers.com/showthread.php? т = 1219029

В двух словах:

  1. Выясните точное формальное полное имя пакета или имя * .apk для приложения, которое вы пытаетесь установить. Для служб Google Play это com.google.android.gsf или GoogleServicesFramework.apk.
  2. Извлеките файл /data/system/packages.xml с помощью adb
  3. Откройте XML-файл в текстовом редакторе и найдите элемент <package> xml, который описывает ваше приложение, используя имена с шага 1 .
  4. Получить значение атрибута sharedUserId для этого элемента.
  5. Удалите весь элемент <shared-user> xml с атрибутом userId, который соответствует идентификатору, найденному для пакета.
  6. Нажмите на измененный файл packages.xml обратно в ту же папку на телефоне, используя adb
  7. Протрите кеш dalvik и перезагрузитесь.
ответил Joel Coehoorn 28 Jam1000000amTue, 28 Jan 2014 07:51:12 +040014 2014, 07:51:12
1

У меня была та же проблема. Я удалил все обновления приложений, и это устранило проблему.

ответил Daniels 21 42013vEurope/Moscow11bEurope/MoscowThu, 21 Nov 2013 10:52:07 +0400 2013, 10:52:07
-1

Сначала вы должны знать, что некоторые сервисы Google, которые реализовали функции, предоставляемые службами Google Play, требуются службе Google Play. Как мультиплеер, многопользовательский режим в реальном времени, лидирующие доски, достижения в некоторых играх и приложения.

Если у вас возникли проблемы при загрузке, существует множество возможных решений. - Перейдите в диспетчер приложений, удалите все обновления из приложений, связанных с Google +. Затем запустите игру после установки всех обновлений приложений. Это может решить проблему с ур.

ответил Jatin Malwal 8 PM00000030000000131 2013, 15:02:01

Похожие вопросы

Популярные теги

security × 330linux × 316macos × 2827 × 268performance × 244command-line × 241sql-server × 235joomla-3.x × 222java × 189c++ × 186windows × 180cisco × 168bash × 158c# × 142gmail × 139arduino-uno × 139javascript × 134ssh × 133seo × 132mysql × 132